scala.dbc.syntax
class StatementExpression

[source: `scala/dbc/syntax/StatementExpression.scala`]

`abstract` `class` StatementExpression
  `extends` AnyRef

Direct Known Subclasses:
  StatementExpression.StatementField

Method Summary
`def` | % (se : StatementExpression) : StatementExpression
`def` | * (se : StatementExpression) : StatementExpression
`def` | + (se : StatementExpression) : StatementExpression
`def` | - (se : StatementExpression) : StatementExpression
`def` | / (se : StatementExpression) : StatementExpression
`def` | < (se : StatementExpression) : StatementExpression
`def` | <= (se : StatementExpression) : StatementExpression
`def` | <> (se : StatementExpression) : StatementExpression
`def` | == (se : StatementExpression) : StatementExpression
`def` | > (se : StatementExpression) : StatementExpression
`def` | >= (se : StatementExpression) : StatementExpression
`def` | ^ (se : StatementExpression) : StatementExpression
`def` | and (se : StatementExpression) : StatementExpression
`def` | in (se : Select) : StatementExpression
`def` | isNotNull : StatementExpression
`def` | isNull : StatementExpression
`def` | like (se : StatementExpression) : StatementExpression
`def` | not : StatementExpression
`def` | or (se : StatementExpression) : StatementExpression
`def` | similar (se : StatementExpression) : StatementExpression
`abstract def` | toStatement : Expression
`def` | || (se : StatementExpression) : StatementExpression

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` toStatement : Expression

`` `def` and(se : StatementExpression) : StatementExpression

`` `def` or(se : StatementExpression) : StatementExpression

`` `def` ==(se : StatementExpression) : StatementExpression

`` `def` <(se : StatementExpression) : StatementExpression

`` `def` >(se : StatementExpression) : StatementExpression

`` `def` <=(se : StatementExpression) : StatementExpression

`` `def` >=(se : StatementExpression) : StatementExpression

`` `def` <>(se : StatementExpression) : StatementExpression

`` `def` isNull : StatementExpression

`` `def` isNotNull : StatementExpression

`` `def` +(se : StatementExpression) : StatementExpression

`` `def` -(se : StatementExpression) : StatementExpression

`` `def` *(se : StatementExpression) : StatementExpression

`` `def` /(se : StatementExpression) : StatementExpression

`` `def` %(se : StatementExpression) : StatementExpression

`` `def` ^(se : StatementExpression) : StatementExpression

`` `def` not : StatementExpression

`` `def` ||(se : StatementExpression) : StatementExpression

`` `def` like(se : StatementExpression) : StatementExpression

`` `def` similar(se : StatementExpression) : StatementExpression

`` `def` in(se : Select) : StatementExpression